package alx.p43_files;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Collections;
import java.util.List;

public class WczytajWszystko {

	public static void main(String[] args) {
		Path plik = Paths.get("pan-tadeusz.txt");
		Path plik2 = Paths.get("posortowane.txt");
		
		try {
			List<String> linie = Files.readAllLines(plik);
			
			System.out.println("Pan Tadeusz ma " + linie.size() + " linii");
			Collections.sort(linie);
			
			Files.write(plik2, linie);
			System.out.println("Gotowe");
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
